CREATE TABLE user (
  user_id INTEGER NOT NULL auto_increment,
  username VARCHAR(50) NOT NULL,
  password VARCHAR(50) NOT NULL,
  password_hash VARCHAR(40) NOT NULL,
  email VARCHAR(100) NOT NULL,
  PRIMARY KEY(user_id),
  UNIQUE(username)
);

CREATE TABLE profile (
  user_id INTEGER NOT NULL,
  age INTEGER,
  gender ENUM('u', 'm', 'f'),
  beer VARCHAR(30),
  PRIMARY KEY(user_id)
);

CREATE TABLE inactive_user (
  user_id INTEGER NOT NULL,
  username VARCHAR(50) NOT NULL,
  PRIMARY KEY(user_id)
);

CREATE TABLE admin (
    adminname VARCHAR(20) NOT NULL,
    password VARCHAR(80) NOT NULL,
    PRIMARY KEY(adminname)
);

CREATE TABLE bonus (
    id INTEGER NOT NULL,
    info TEXT NOT NULL,
    PRIMARY KEY(id)
);

INSERT INTO admin (adminname, password)
  VALUES ('henning', 'superhochgeheim');

INSERT INTO bonus (id, info)
  VALUES (1, 'Yay, du hast es geschafft! Glueckwunsch :)');

INSERT INTO user (username, password, password_hash, email)
  VALUES ('Alice', 'geheim', SHA1('geheim'), 'alice@example.com');
INSERT INTO user (username, password, password_hash, email)
  VALUES ('Bob', 'topsecret', SHA1('topsecret'), 'bob@example.com');
INSERT INTO user (username, password, password_hash, email)
  VALUES ('Mallory', 'evil', SHA1('evil'), 'mallory@example.com');

INSERT INTO profile (user_id, age, gender, beer)
  VALUES (1, 19, 'f', 'Becks');
INSERT INTO profile (user_id, age, gender, beer)
  VALUES (2, 21, 'm', 'Astra');
INSERT INTO profile (user_id, age, gender, beer)
  VALUES (3, 23, 'u', 'Jever');

INSERT INTO inactive_user (user_id, username)
  VALUES (4, 'Otto');
INSERT INTO inactive_user (user_id, username)
  VALUES (5, 'Karl');

